CREATE TABLE ADDRESSBEAN (
ADDRESSID VARCHAR(256) NOT NULL, 
STREET VARCHAR(256) NULL, 
STATE VARCHAR(256) NULL, 
ZIP VARCHAR(256) NULL, 
CITY VARCHAR(256) NULL, 
CUSTOMERBEAN_CUSTOMERID96 VARCHAR(256) NULL, 
CONSTRAINT PK_ADDRESSBEAN PRIMARY KEY (ADDRESSID)
)
;
CREATE TABLE CUSTOMERBEAN (
FIRSTNAME VARCHAR(256) NULL, 
CUSTOMERID VARCHAR(256) NOT NULL, 
LASTNAME VARCHAR(256) NULL, 
CONSTRAINT PK_CUSTOMERBEAN PRIMARY KEY (CUSTOMERID)
)
;
CREATE TABLE SUBSCRIPTIONBEAN (
TYPE BLOB(10240) NULL, 
TITLE VARCHAR(256) NOT NULL, 
CONSTRAINT PK_SUBSCRIPTIONBEAN PRIMARY KEY (TITLE)
)
;
CREATE TABLE SUBSCRIPTIONBEANCUSTOMERBEAN (
SUBSCRIPTIONBEAN_TITLE VARCHAR(256) NULL, 
CUSTOMERBEAN_CUSTOMERID VARCHAR(256) NULL
)
;
ALTER TABLE ADDRESSBEAN ADD CONSTRAINT FK_THISRELATIONSHIPFIELDWASGENERATEDBYTHENAMEMAPPER1 FOREIGN KEY (CUSTOMERBEAN_CUSTOMERID96) REFERENCES CUSTOMERBEAN (CUSTOMERID)
;
ALTER TABLE SUBSCRIPTIONBEANCUSTOMERBEAN ADD CONSTRAINT FK_CUSTOMERS FOREIGN KEY (SUBSCRIPTIONBEAN_TITLE) REFERENCES SUBSCRIPTIONBEAN (TITLE)
;
ALTER TABLE SUBSCRIPTIONBEANCUSTOMERBEAN ADD CONSTRAINT FK_SUBSCRIPTIONS FOREIGN KEY (CUSTOMERBEAN_CUSTOMERID) REFERENCES CUSTOMERBEAN (CUSTOMERID)
;
