<%--
 Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
--%>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<%@ taglib prefix="my" uri="/WEB-INF/tlds/jsp2/jsp2-example-taglib.tld" %>
<fmt:setBundle basename="LocalStrings"/>

<html>
  <head>
    <title><fmt:message key="book.jsp.title"/></title>
  </head>
  <body>
    <h1><fmt:message key="book.jsp.title"/></h1>
    <hr>
    <p><fmt:message key="book.jsp.overview"/></p>
    <br>
    <b><u><fmt:message key="book.jsp.result"/></u></b><br>
    <my:findBook var="book"/>
    <table border="1">
        <thead>
	    <td><b><fmt:message key="book.jsp.field"/></b></td>
	    <td><b><fmt:message key="book.jsp.value"/></b></td>
	    <td><b><fmt:message key="book.jsp.capitalized"/></b></td>
	</thead>
	<tr>
	    <td><fmt:message key="book.jsp.booktitle"/></td>
	    <td>${book.title}</td>
	    <td>${my:caps(book.title)}</td>
	</tr>
	<tr>
	    <td><fmt:message key="book.jsp.bookauthor"/></td>
	    <td>${book.author}</td>
	    <td>${my:caps(book.author)}</td>
	</tr>
	<tr>
	    <td><fmt:message key="book.jsp.bookisbn"/></td>
	    <td>${book.isbn}</td>
	    <td>${my:caps(book.isbn)}</td>
	</tr>
    </table>
  </body>
</html>
